## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationOpenidRedirectException

### Authentication::ezcAuthenticationOpenidRedirectException

### Class ezcAuthenticationOpenidRedirectException

Thrown when the client could not be redirected in the OpenID authentication.

Source for this file: /Authentication/src/exceptions/openid_redirect_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcAuthenticationException
             |
             --ezcAuthenticationOpenidException
                |
                --ezcAuthenticationOpenidRedirectException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcAuthenticationOpenidRedirectException | `__construct( $url )` Constructs a new ezcAuthenticationOpenidRedirectException concerning $url.

### Inherited Methods

From ezcAuthenticationOpenidException
public ezcAuthenticationOpenidException | `ezcAuthenticationOpenidException::__construct()` Constructs a new ezcAuthenticationOpenidException with error message $message.
From ezcAuthenticationException
public ezcAuthenticationException | `ezcAuthenticationException::__construct()` Constructs a new ezcAuthenticationException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcAuthenticationOpenidRedirectException __construct( string $url )

Constructs a new ezcAuthenticationOpenidRedirectException concerning $url.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$url` | string | The URL where the client could not be redirected

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationOpenidException::__construct()` | Constructs a new ezcAuthenticationOpenidException with error message $message.

Documentation generated by phpDocumentor 1.4.3